Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io.util
Class DataOutputBuffer

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              java.io.DataOutputStream
                  org.apache.cassandra.io.util.DataOutputBuffer

All Implemented Interfaces:
  java.io.Closeable, java.io.DataOutput, java.io.Flushable

    public class DataOutputBuffer

extends java.io.DataOutputStream

An implementation of the DataOutputStream interface. This class is completely thread unsafe.

Field Summary

Fields inherited from class java.io.DataOutputStream
`written`

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`DataOutputBuffer()` Constructs a new empty buffer.

Method Summary
`byte[]` | `getData()` Returns the current contents of the buffer.
`int` | `getLength()` Returns the length of the valid data currently in the buffer.
`DataOutputBuffer` | `reset()` Resets the buffer to empty.
`void` | `write(java.io.DataInput in, int length)` Writes bytes from a DataInput directly into the buffer.

Methods inherited from class java.io.DataOutputStream
`flush, size, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Methods inherited from class java.io.FilterOutputStream
`close, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.DataOutput
`write`

Constructor Detail

### DataOutputBuffer

    public DataOutputBuffer()

  Constructs a new empty buffer.

Method Detail

### getData

    public byte[] getData()

  Returns the current contents of the buffer. Data is only valid to `getLength()`.

### getLength

    public int getLength()

  Returns the length of the valid data currently in the buffer.

### reset

    public DataOutputBuffer reset()

  Resets the buffer to empty.

### write

    public void write(java.io.DataInput in,
                      int length)
               throws java.io.IOException

  Writes bytes from a DataInput directly into the buffer.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation